> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update service's details (Deprecated)

> With this method you can change status or options for service.
Deprecated, use the PUT method instead.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml patch /iam/clients/{clientId}/services/{serviceId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/clients/{clientId}/services/{serviceId}:
    patch:
      tags:
        - Services
      summary: Update service's details (Deprecated)
      description: |-
        With this method you can change status or options for service.
        Deprecated, use the PUT method instead.
      operationId: iamPatchClientService
      parameters:
        - $ref: '#/components/parameters/ClientID'
        - $ref: '#/components/parameters/ServiceID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/iam_reseller_Service'
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/iam_reseller_Service'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/iam_reseller_404'
      deprecated: true
components:
  parameters:
    ClientID:
      name: clientId
      in: path
      required: true
      description: Account ID.
      schema:
        type: integer
    ServiceID:
      name: serviceId
      in: path
      required: true
      description: Service's ID.
      schema:
        type: integer
  schemas:
    iam_reseller_Service:
      type: object
      required:
        - id
        - name
        - client
        - status
        - previous_status
        - status_changed_at
        - start
        - enabled
        - options
        - status_transition_options
      properties:
        id:
          type: integer
          readOnly: true
          description: Service's ID.
        name:
          allOf:
            - readOnly: true
            - $ref: '#/components/schemas/ServiceName'
        client:
          type: integer
          readOnly: true
          description: Client's ID.
        status:
          allOf:
            - description: Current service status.
              example: paused
            - $ref: '#/components/schemas/ServiceStatus'
        previous_status:
          allOf:
            - type: string
              description: Previous service status.
              readOnly: true
              example: active
            - $ref: '#/components/schemas/ServiceStatus'
        status_changed_at:
          type: string
          format: date-time
          readOnly: true
          description: When status was changed.
        start:
          type: string
          format: date-time
          readOnly: true
          description: Trial start date.
        deleted_date:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          description: >-
            Date and time when service's status will be changed to `deleted`.


            Applicable only if current service's status is `trialend` or
            `paused`.
        enabled:
          type: boolean
          description: Shows if a service is enabled or disabled.
        options:
          type: array
          description: List of service options.
          items:
            $ref: '#/components/schemas/ServiceOption'
        status_transition_options:
          type: array
          description: List of status transition options.
          items:
            $ref: '#/components/schemas/ServiceOption'
    ServiceName:
      type: string
      description: Service's name.
      enum:
        - CDN
        - STORAGE
        - STREAMING
        - DNS
        - DDOS
        - CLOUD
    ServiceStatus:
      type: string
      description: Status of the service.
      enum:
        - new
        - trial
        - trialend
        - active
        - paused
        - activating
        - deleted
    ServiceOption:
      type: object
      required:
        - id
        - value
        - value_type
        - name
        - category
        - description
        - title
      properties:
        id:
          type: integer
          nullable: true
          description: Option ID.
        value:
          type: string
          description: Option's value.
        value_type:
          type: string
          description: Option type.
          enum:
            - int
            - str
            - utctimestamp
            - json
            - bool
        name:
          type: string
          description: Option name.
        category:
          type: string
          description: Option category.
        description:
          type: string
          description: Option description.
        title:
          type: string
          description: Option title.
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    iam_reseller_404:
      description: Resource not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````